/*
 *  Copyright (C) 2006 CSIRO Australia
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  - Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  
 *  - Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  
 *  - Neither the name of the CSIRO nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 *  PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE ORGANISATION OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#include "phpanx_util.h"
#include "phpanx_constants.h"

/* This function will be called when phpannodex is loaded, making these 
 * constants visible in PHP.
 */
extern void init_constants( int module_number TSRMLS_DC ) {

	/* #defines from anx_constants.h */ 
	REGISTER_LONG_CONSTANT("ANX_READ", ANX_READ, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_WRITE", ANX_WRITE, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_CONTINUE", ANX_CONTINUE, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_STOP_OK", ANX_STOP_OK, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_STOP_ERR", ANX_STOP_ERR, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_IGNORE_ANNO", ANX_IGNORE_ANNO, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_IGNORE_MEDIA", ANX_IGNORE_MEDIA, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_IGNORE_IMPORT_IMPORT", 
			ANX_IGNORE_IMPORT_IMPORT, CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ALLOW_RECURSIVE_IMPORT", 
			ANX_ALLOW_RECURSIVE_IMPORT, CONST_CS |CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_SET", ANX_SEEK_SET, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_CUR", ANX_SEEK_CUR, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_END", ANX_SEEK_END, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_HEAD", ANX_SEEK_HEAD, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_PREV", ANX_SEEK_PREV, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_SEEK_NEXT", ANX_SEEK_NEXT, CONST_CS 
			| CONST_PERSISTENT);

	/* enums from anx_constants.h */
	REGISTER_LONG_CONSTANT("ANX_ERR_OK", ANX_ERR_OK, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_SYSTEM", ANX_ERR_SYSTEM, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_INVALID", ANX_ERR_INVALID, CONST_CS 
			| CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_NOTSUPPPORTED", ANX_ERR_NOTSUPPORTED, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_DISABLED", ANX_ERR_DISABLED, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_NOTREADY", ANX_ERR_NOTREADY, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_NOSEEK", ANX_ERR_NOSEEK, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_EOF", ANX_ERR_EOF, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_NOIMPORTER", ANX_ERR_NOIMPORTER, 
			CONST_CS | CONST_PERSISTENT);
	REGISTER_LONG_CONSTANT("ANX_ERR_NOTIMPLEMENTED", 
			ANX_ERR_NOTIMPLEMENTED, CONST_CS | CONST_PERSISTENT);

	return;
}

